import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputePfwAddResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiComputePfwAddProtocol(_base.BasePostAPIFunctionProtocol):
    def pfw_add(
        self,
        *,
        vm_id: int,
        public_port_start: int,
        protocol: _nested.NATRuleProtocol,
        public_port_end: int | None = None,
        local_port: int | None = None,
    ) -> CloudapiComputePfwAddResultInt:
        ...
